## ros-kinetic-heron-gazebo 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(heron_gazebo)

find_package(catkin REQUIRED)

catkin_package()

catkin_install_python(PROGRAMS
   scripts/activate_control_service
   scripts/cmd_drive_translate
   scripts/navsat_vel_translate
   scripts/rpy_translator
   scripts/twist_translate
   scripts/vector3_to_magnetic_field
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-heron-gazebo (0.3.3-1xenial) xenial; urgency=high

  * Pass the config arg to the heron_description package correctly
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-kinetic-heron-gazebo (0.3.2-1xenial) xenial; urgency=high

  * Bumped CMake version to avoid author warning.
  * Add the config, launch, and worlds folders to the install target
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 19 Feb 2021 05:00:00 -0000

ros-kinetic-heron-gazebo (0.3.1-1xenial) xenial; urgency=high

  * Merge pull request #11 <https://github.com/heron/heron_simulator/issues/11> from heron/thruster-fix
    Enable thruster joints in simulation
  * Enable the simulation argument so the thrusters are mobile & allow the robot to move
  * Merge pull request #10 <https://github.com/heron/heron_simulator/issues/10> from heron/namespace-fix
    Fix namespace preventing the EKF node from working
  * Use remap instead of rosparams to set the topics for the mag topic translator. This allows the node to work correctly when the namespace argument is set.
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Feb 2021 05:00:00 -0000

ros-kinetic-heron-gazebo (0.3.0-1xenial) xenial; urgency=high

  * Add the UUV worlds dependency
  * Rename "heron_sim" to "spawn_heron" for compatibility with the new simulation environments
  * Tidy up the lake world a little, set the camera position so the initial view is a little nicer
  * Add a second world, a lake with some islands (also copied from UUV Worlds so we can modify as-necessary for a surface-only vehicle)
  * Add a copy of the world to make future modifications easier. Fix the initial camera position so that it puts the robot in-frame instead of starting underwater somewhere.
  * Add all the scripts to the cmake file
  * Remove the .py from the node scripts & update the launch file accordingly
  * Use the new (not-deprecated) MagneticField messages for the imu filter, add a simple node to translate from the old Vector3Stamped to MagneticField messges
  * Disable the mag data in the simulation; the imu filter is timing out waiting for data, which is disabling the heron_control node, making the robot permanently immobile.  See RPSW-474.
  * fixed location of worlds in launch file and readme
  * Param tuning and constant thruster control being activated in simulation
  * Added missing run dependencies
  * Initialized twist_translate's zero message properly and ensured no issues with callbacks in nav_vel
  * Fixed namespace functionality to allow empty namespaces
  * Added custom spawning to heron_world.launch
  * Fixed localization when heron has nonzero initial yaw
  * New config file for simulation heron_controller params
  * Fixed name+email in copyright notices
  * Added NWU->ENU swapping here because it was removed from heron_control
  * Fixed interactive marker's vel scaling and created new PID file for simulation
  * Added translator for Vec3 to Twist for navsat/vel
  * Changed covariance limits because simulated sensors are better than the actual sensors
  * Removed mag_interpreter.py from CMakeLists.txt
  * Fixed twist_translate.py to scale and publish Twist msgs
  * Added script to convert navsat/vel from NED to ENU
  * Fixed RViz interactive markers control
  * Removed mag_interpreter.py because Gazebo's magnetometer is now used
  * Prevented z, roll, and pitch of spawn location to be changed
  * Added copyright notices to launch and script files
  * Initial commit
  * Contributors: Chris Iverach-Brereton, Guy Stoppi, Nirzvi1, Shreya Subramaniam

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-heron-gazebo
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-heron-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-hector-gazebo-plugins, ros-kinetic-heron-msgs, ros-kinetic-interactive-marker-twist-server, ros-kinetic-nav-msgs, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-uuv-gazebo-ros-plugins-msgs, ros-kinetic-uuv-gazebo-worlds
Description: Simulator package for Heron

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-heron-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
